Subject: Re: [RFC/PATCH 2/2] Generic clockevents and no-idle-HZ for PowerPC

From: Olof Johansson <[email-masked]>
Date: Fri, 7 Sep 2007 15:59:56 -0500

On Fri, Sep 07, 2007 at 09:26:28PM +0200, Johannes Berg wrote:
> On Fri, 2007-09-07 at 14:16 -0500, Olof Johansson wrote:
> > On Fri, Sep 07, 2007 at 04:04:51PM +0200, Johannes Berg wrote:
> > > On Fri, 2007-09-07 at 00:44 +1000, Paul Mackerras wrote:
> > > > This creates a clockevent for the PowerPC decrementer and registers it
> > > > with the generic clock/timer system, and implements the dynamic ticks
> > > > (no idle HZ) option for PowerPC.
> > > 
> > > I tried both patches applied and with/without CONFIG_NOHZ but my quad G5
> > > won't boot. Anybody else have more luck?
> > 
> > Did you try with the two changes I suggested? Patch below.
> 
> No, I hadn't dug through mail yet. I'm away from the machine, will give
> it a try early next week. Thanks!

I just verified, and with those fixes I can boot a quad G5 here with:

CONFIG_TICK_ONESHOT=y
CONFIG_NO_HZ=y
CONFIG_HIGH_RES_TIMERS=y

-Olof